apt-get Probleme

  • Hallo Liebes Forum

    Ich habe ein Problem und zwar wenn ich auf meinem PI etwas Installieren möchte mit apt-get bekomme ich Folgende Fehler:

    Err:1 http://raspbian.raspberrypi.org/raspbian buster/main armhf libexpat1-dev armhf 2.2.6-2

    404 Not Found [IP: 93.93.128.193 80]

    Err:2 http://raspbian.raspberrypi.org/raspbian buster/main armhf libpython3.7-dev armhf 3.7.3-2

    404 Not Found [IP: 93.93.128.193 80]

    Err:3 http://raspbian.raspberrypi.org/raspbian buster/main armhf python3-cryptography armhf 2.6.1-3

    404 Not Found [IP: 93.93.128.193 80]

    Err:4 http://raspbian.raspberrypi.org/raspbian buster/main armhf python3.7-dev armhf 3.7.3-2

    404 Not Found [IP: 93.93.128.193 80]

    E: Failed to fetch http://raspbian.raspberrypi.org/raspbian/pool/main/e/expat/libexpat1-dev_2.2.6-2_armhf.deb 404 Not Found [IP: 93.93.128.193 80]

    E: Failed to fetch http://raspbian.raspberrypi.org/raspbian/pool/main/p/python3.7/libpython3.7-dev_3.7.3-2_armhf.deb 404 Not Found [IP: 93.93.128.193 80]

    E: Failed to fetch http://raspbian.raspberrypi.org/raspbian/pool/main/p/python-cryptography/python3-cryptography_2.6.1-3_armhf.deb 404 Not Found [IP: 93.93.128.193 80]

    E: Failed to fetch http://raspbian.raspberrypi.org/raspbian/pool/main/p/python3.7/python3.7-dev_3.7.3-2_armhf.deb 404 Not Found [IP: 93.93.128.193 80]

    E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?


    Als System ist ein Gestern aufgesetztes Volkszähler Image und ich habe auch schon alle aktualisiert mit apt-get update/upgrade das ging auch aber sobald ich Pakete installieren möchte kommen die Fehler. Jetzt grade wollte ich apt-get install python3-pip Insterliern.

    Danke schonmal für eure Hilfe. :)

  • Hallo,

    Vor dem Installieren mußt Du die Paketlisten auf der SD-Karte mit dem Internet syncronisieren, dabei wird noch nichts installiert,

    mit sudo apt-get update

    Wenn danach der 404 oder 500-Fehler auftaucht, mußt Du darauf warten, daß der Server wieder erreichbar wird.

    Schönen Gruß, kle

  • Hallo kle wenn ich das mache kommt folgendes heraus.


    Hit:1 http://archive.raspberrypi.org/debian buster InRelease

    Get:2 http://raspbian.raspberrypi.org/raspbian buster InRelease [15.0 kB]

    Reading package lists... Done

    E: Repository 'http://raspbian.raspberrypi.org/raspbian buster InRelease' changed its 'Suite' value from 'testing' to 'stable'

    N: This must be accepted explicitly before updates for this repository can be applied. See apt-secure(8) manpage for details.


    Muss ich da jetzt noch was einstellen ich verstehe nämlich die letzten beiden Zeilen..

  • Danke für die Frage RaspberryNiklas und für die Antwort hyle, hat mir gerade geholfen.

    --- ein alter numbercruncher ---